summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakob Schlyter <jakob@cvs.openbsd.org>2003-04-10 06:02:10 +0000
committerJakob Schlyter <jakob@cvs.openbsd.org>2003-04-10 06:02:10 +0000
commitddccf95d0565bc56e5398f9e48c5e192eaf1aab8 (patch)
tree05ac0559ad06c9eb6b4a9c0586b97d8d3057df27
parentb1f85f5a56647c81d74f9e4ea0a3797f387c7355 (diff)
regen with autoconf 2.52
-rw-r--r--usr.sbin/bind/configure376
1 files changed, 253 insertions, 123 deletions
diff --git a/usr.sbin/bind/configure b/usr.sbin/bind/configure
index a0a38d53327..3bb1cf2c437 100644
--- a/usr.sbin/bind/configure
+++ b/usr.sbin/bind/configure
@@ -1,5 +1,5 @@
#! /bin/sh
-# From configure.in Revision: 1.3 .
+# From configure.in Revision: 1.5 .
# Guess values for system-dependent variables and create Makefiles.
# Generated by Autoconf 2.52.
#
@@ -1564,7 +1564,7 @@ done
#
# Special processing of paths depending on whether --prefix,
# --sysconfdir or --localstatedir arguments were given. What's
-# desired is some compatability with the way previous versions
+# desired is some compatibility with the way previous versions
# of BIND built; they defaulted to /usr/local for most parts of
# the installation, but named.boot/named.conf was in /etc
# and named.pid was in /var/run.
@@ -10892,13 +10892,141 @@ echo "${ECHO_T}no" >&6; ISC_PLATFORM_NEEDSTRSEP="#define ISC_PLATFORM_NEEDSTRSEP
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-echo "$as_me:10895: checking for vsnprintf" >&5
+echo "$as_me:10895: checking for strlcpy" >&5
+echo $ECHO_N "checking for strlcpy... $ECHO_C" >&6
+if test "${ac_cv_func_strlcpy+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line 10901 "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+ which can conflict with char strlcpy (); below. */
+#include <assert.h>
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char strlcpy ();
+char (*f) ();
+
+int
+main ()
+{
+/* The GNU C library defines this for functions which it implements
+ to always fail with ENOSYS. Some functions are actually named
+ something starting with __ and the normal name is an alias. */
+#if defined (__stub_strlcpy) || defined (__stub___strlcpy)
+choke me
+#else
+f = strlcpy;
+#endif
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:10932: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:10935: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:10938: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:10941: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_func_strlcpy=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_func_strlcpy=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:10951: result: $ac_cv_func_strlcpy" >&5
+echo "${ECHO_T}$ac_cv_func_strlcpy" >&6
+if test $ac_cv_func_strlcpy = yes; then
+ ISC_PLATFORM_NEEDSTRLCPY="#undef ISC_PLATFORM_NEEDSTRLCPY"
+else
+ ISC_PLATFORM_NEEDSTRLCPY="#define ISC_PLATFORM_NEEDSTRLCPY 1"
+fi
+
+echo "$as_me:10959: checking for strlcat" >&5
+echo $ECHO_N "checking for strlcat... $ECHO_C" >&6
+if test "${ac_cv_func_strlcat+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line 10965 "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+ which can conflict with char strlcat (); below. */
+#include <assert.h>
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char strlcat ();
+char (*f) ();
+
+int
+main ()
+{
+/* The GNU C library defines this for functions which it implements
+ to always fail with ENOSYS. Some functions are actually named
+ something starting with __ and the normal name is an alias. */
+#if defined (__stub_strlcat) || defined (__stub___strlcat)
+choke me
+#else
+f = strlcat;
+#endif
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:10996: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:10999: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:11002: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:11005: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_func_strlcat=yes
+else
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_func_strlcat=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:11015: result: $ac_cv_func_strlcat" >&5
+echo "${ECHO_T}$ac_cv_func_strlcat" >&6
+if test $ac_cv_func_strlcat = yes; then
+ ISC_PLATFORM_NEEDSTRLCAT="#undef ISC_PLATFORM_NEEDSTRLCAT"
+else
+ ISC_PLATFORM_NEEDSTRLCAT="#define ISC_PLATFORM_NEEDSTRLCAT 1"
+fi
+
+echo "$as_me:11023: checking for vsnprintf" >&5
echo $ECHO_N "checking for vsnprintf... $ECHO_C" >&6
if test "${ac_cv_func_vsnprintf+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 10901 "configure"
+#line 11029 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char vsnprintf (); below. */
@@ -10929,16 +11057,16 @@ f = vsnprintf;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10932: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11060: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:10935: \$? = $ac_status" >&5
+ echo "$as_me:11063: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:10938: \"$ac_try\"") >&5
+ { (eval echo "$as_me:11066: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:10941: \$? = $ac_status" >&5
+ echo "$as_me:11069: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_vsnprintf=yes
else
@@ -10948,7 +11076,7 @@ ac_cv_func_vsnprintf=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:10951: result: $ac_cv_func_vsnprintf" >&5
+echo "$as_me:11079: result: $ac_cv_func_vsnprintf" >&5
echo "${ECHO_T}$ac_cv_func_vsnprintf" >&6
if test $ac_cv_func_vsnprintf = yes; then
ISC_PLATFORM_NEEDVSNPRINTF="#undef ISC_PLATFORM_NEEDVSNPRINTF"
@@ -10958,13 +11086,13 @@ else
ISC_PLATFORM_NEEDVSNPRINTF="#define ISC_PLATFORM_NEEDVSNPRINTF 1"
fi
-echo "$as_me:10961: checking for strerror" >&5
+echo "$as_me:11089: checking for strerror" >&5
echo $ECHO_N "checking for strerror... $ECHO_C" >&6
if test "${ac_cv_func_strerror+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 10967 "configure"
+#line 11095 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char strerror (); below. */
@@ -10995,16 +11123,16 @@ f = strerror;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:10998: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11126: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:11001: \$? = $ac_status" >&5
+ echo "$as_me:11129: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:11004: \"$ac_try\"") >&5
+ { (eval echo "$as_me:11132: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:11007: \$? = $ac_status" >&5
+ echo "$as_me:11135: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_strerror=yes
else
@@ -11014,7 +11142,7 @@ ac_cv_func_strerror=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:11017: result: $ac_cv_func_strerror" >&5
+echo "$as_me:11145: result: $ac_cv_func_strerror" >&5
echo "${ECHO_T}$ac_cv_func_strerror" >&6
if test $ac_cv_func_strerror = yes; then
cat >>confdefs.h <<\EOF
@@ -11030,37 +11158,37 @@ fi
# want "%ld" and everyone else can use "%lld". Win32 uses "%I64d",
# but that's defined elsewhere since we don't use configure on Win32.
#
-echo "$as_me:11033: checking printf format modifier for 64-bit integers" >&5
+echo "$as_me:11161: checking printf format modifier for 64-bit integers" >&5
echo $ECHO_N "checking printf format modifier for 64-bit integers... $ECHO_C" >&6
if test "$cross_compiling" = yes; then
- echo "$as_me:11036: result: assuming target platform uses ll" >&5
+ echo "$as_me:11164: result: assuming target platform uses ll" >&5
echo "${ECHO_T}assuming target platform uses ll" >&6
ISC_PLATFORM_QUADFORMAT='#define ISC_PLATFORM_QUADFORMAT "ll"'
else
cat >conftest.$ac_ext <<_ACEOF
-#line 11041 "configure"
+#line 11169 "configure"
#include "confdefs.h"
main() { exit(!(sizeof(long long int) == sizeof(long int))); }
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:11046: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11174: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:11049: \$? = $ac_status" >&5
+ echo "$as_me:11177: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:11051: \"$ac_try\"") >&5
+ { (eval echo "$as_me:11179: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:11054: \$? = $ac_status" >&5
+ echo "$as_me:11182: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:11056: result: l" >&5
+ echo "$as_me:11184: result: l" >&5
echo "${ECHO_T}l" >&6
ISC_PLATFORM_QUADFORMAT='#define ISC_PLATFORM_QUADFORMAT "l"'
else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:11063: result: ll" >&5
+echo "$as_me:11191: result: ll" >&5
echo "${ECHO_T}ll" >&6
ISC_PLATFORM_QUADFORMAT='#define ISC_PLATFORM_QUADFORMAT "ll"'
fi
@@ -11070,13 +11198,13 @@ fi
#
# Security Stuff
#
-echo "$as_me:11073: checking for chroot" >&5
+echo "$as_me:11201: checking for chroot" >&5
echo $ECHO_N "checking for chroot... $ECHO_C" >&6
if test "${ac_cv_func_chroot+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 11079 "configure"
+#line 11207 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char chroot (); below. */
@@ -11107,16 +11235,16 @@ f = chroot;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:11110: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11238: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:11113: \$? = $ac_status" >&5
+ echo "$as_me:11241: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:11116: \"$ac_try\"") >&5
+ { (eval echo "$as_me:11244: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:11119: \$? = $ac_status" >&5
+ echo "$as_me:11247: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_chroot=yes
else
@@ -11126,7 +11254,7 @@ ac_cv_func_chroot=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:11129: result: $ac_cv_func_chroot" >&5
+echo "$as_me:11257: result: $ac_cv_func_chroot" >&5
echo "${ECHO_T}$ac_cv_func_chroot" >&6
if test $ac_cv_func_chroot = yes; then
cat >>confdefs.h <<\EOF
@@ -11146,23 +11274,23 @@ case "$enable_linux_caps" in
for ac_header in linux/capability.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:11149: checking for $ac_header" >&5
+echo "$as_me:11277: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 11155 "configure"
+#line 11283 "configure"
#include "confdefs.h"
#include <$ac_header>
_ACEOF
-if { (eval echo "$as_me:11159: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:11287: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:11165: \$? = $ac_status" >&5
+ echo "$as_me:11293: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -11181,7 +11309,7 @@ else
fi
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:11184: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:11312: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -11199,23 +11327,23 @@ esac
for ac_header in sys/prctl.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:11202: checking for $ac_header" >&5
+echo "$as_me:11330: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 11208 "configure"
+#line 11336 "configure"
#include "confdefs.h"
#include <$ac_header>
_ACEOF
-if { (eval echo "$as_me:11212: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:11340: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:11218: \$? = $ac_status" >&5
+ echo "$as_me:11346: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -11234,7 +11362,7 @@ else
fi
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:11237: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:11365: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -11247,13 +11375,13 @@ done
#
# Time Zone Stuff
#
-echo "$as_me:11250: checking for tzset" >&5
+echo "$as_me:11378: checking for tzset" >&5
echo $ECHO_N "checking for tzset... $ECHO_C" >&6
if test "${ac_cv_func_tzset+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 11256 "configure"
+#line 11384 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char tzset (); below. */
@@ -11284,16 +11412,16 @@ f = tzset;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:11287: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11415: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:11290: \$? = $ac_status" >&5
+ echo "$as_me:11418: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:11293: \"$ac_try\"") >&5
+ { (eval echo "$as_me:11421: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:11296: \$? = $ac_status" >&5
+ echo "$as_me:11424: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_tzset=yes
else
@@ -11303,7 +11431,7 @@ ac_cv_func_tzset=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:11306: result: $ac_cv_func_tzset" >&5
+echo "$as_me:11434: result: $ac_cv_func_tzset" >&5
echo "${ECHO_T}$ac_cv_func_tzset" >&6
if test $ac_cv_func_tzset = yes; then
cat >>confdefs.h <<\EOF
@@ -11315,10 +11443,10 @@ fi
#
# BSD/OS, and perhaps some others, don't define rlim_t.
#
-echo "$as_me:11318: checking for type rlim_t" >&5
+echo "$as_me:11446: checking for type rlim_t" >&5
echo $ECHO_N "checking for type rlim_t... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 11321 "configure"
+#line 11449 "configure"
#include "confdefs.h"
#include <sys/types.h>
@@ -11333,35 +11461,35 @@ rlim_t rl = 19671212; return (0);
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:11336: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:11464: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:11339: \$? = $ac_status" >&5
+ echo "$as_me:11467: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:11342: \"$ac_try\"") >&5
+ { (eval echo "$as_me:11470: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:11345: \$? = $ac_status" >&5
+ echo "$as_me:11473: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:11347: result: yes" >&5
+ echo "$as_me:11475: result: yes" >&5
echo "${ECHO_T}yes" >&6
ISC_PLATFORM_RLIMITTYPE="#define ISC_PLATFORM_RLIMITTYPE rlim_t"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:11353: result: no" >&5
+echo "$as_me:11481: result: no" >&5
echo "${ECHO_T}no" >&6
-echo "$as_me:11356: checking type of rlim_cur" >&5
+echo "$as_me:11484: checking type of rlim_cur" >&5
echo $ECHO_N "checking type of rlim_cur... $ECHO_C" >&6
if test "$cross_compiling" = yes; then
- { { echo "$as_me:11359: error: cannot determine type of rlim_cur when cross compiling - define rlim_t" >&5
+ { { echo "$as_me:11487: error: cannot determine type of rlim_cur when cross compiling - define rlim_t" >&5
echo "$as_me: error: cannot determine type of rlim_cur when cross compiling - define rlim_t" >&2;}
{ (exit 1); exit 1; }; }
else
cat >conftest.$ac_ext <<_ACEOF
-#line 11364 "configure"
+#line 11492 "configure"
#include "confdefs.h"
#include <sys/types.h>
@@ -11370,17 +11498,17 @@ else
main() { struct rlimit r; exit(!(sizeof(r.rlim_cur) == sizeof(int)));}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:11373: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11501: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:11376: \$? = $ac_status" >&5
+ echo "$as_me:11504: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:11378: \"$ac_try\"") >&5
+ { (eval echo "$as_me:11506: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:11381: \$? = $ac_status" >&5
+ echo "$as_me:11509: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:11383: result: int" >&5
+ echo "$as_me:11511: result: int" >&5
echo "${ECHO_T}int" >&6
ISC_PLATFORM_RLIMITTYPE="#define ISC_PLATFORM_RLIMITTYPE int"
else
@@ -11389,12 +11517,12 @@ echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
if test "$cross_compiling" = yes; then
- { { echo "$as_me:11392: error: this cannot happen" >&5
+ { { echo "$as_me:11520: error: this cannot happen" >&5
echo "$as_me: error: this cannot happen" >&2;}
{ (exit 1); exit 1; }; }
else
cat >conftest.$ac_ext <<_ACEOF
-#line 11397 "configure"
+#line 11525 "configure"
#include "confdefs.h"
#include <sys/types.h>
@@ -11403,17 +11531,17 @@ else
main() { struct rlimit r; exit(!(sizeof(r.rlim_cur) == sizeof(long int)));}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:11406: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11534: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:11409: \$? = $ac_status" >&5
+ echo "$as_me:11537: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:11411: \"$ac_try\"") >&5
+ { (eval echo "$as_me:11539: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:11414: \$? = $ac_status" >&5
+ echo "$as_me:11542: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:11416: result: long int" >&5
+ echo "$as_me:11544: result: long int" >&5
echo "${ECHO_T}long int" >&6
ISC_PLATFORM_RLIMITTYPE="#define ISC_PLATFORM_RLIMITTYPE long int"
else
@@ -11422,12 +11550,12 @@ echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
if test "$cross_compiling" = yes; then
- { { echo "$as_me:11425: error: this cannot happen" >&5
+ { { echo "$as_me:11553: error: this cannot happen" >&5
echo "$as_me: error: this cannot happen" >&2;}
{ (exit 1); exit 1; }; }
else
cat >conftest.$ac_ext <<_ACEOF
-#line 11430 "configure"
+#line 11558 "configure"
#include "confdefs.h"
#include <sys/types.h>
@@ -11436,24 +11564,24 @@ else
main() { struct rlimit r; exit((!sizeof(r.rlim_cur) == sizeof(long long int)));}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:11439: \"$ac_link\"") >&5
+if { (eval echo "$as_me:11567: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:11442: \$? = $ac_status" >&5
+ echo "$as_me:11570: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:11444: \"$ac_try\"") >&5
+ { (eval echo "$as_me:11572: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:11447: \$? = $ac_status" >&5
+ echo "$as_me:11575: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:11449: result: long long int" >&5
+ echo "$as_me:11577: result: long long int" >&5
echo "${ECHO_T}long long int" >&6
ISC_PLATFORM_RLIMITTYPE="#define ISC_PLATFORM_RLIMITTYPE long long int"
else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-{ { echo "$as_me:11456: error: unable to determine sizeof rlim_cur" >&5
+{ { echo "$as_me:11584: error: unable to determine sizeof rlim_cur" >&5
echo "$as_me: error: unable to determine sizeof rlim_cur" >&2;}
{ (exit 1); exit 1; }; }
@@ -11566,7 +11694,7 @@ for ac_prog in openjade
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
-echo "$as_me:11569: checking for $ac_word" >&5
+echo "$as_me:11697: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_OPENJADE+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11583,7 +11711,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_OPENJADE="$ac_dir/$ac_word"
- echo "$as_me:11586: found $ac_dir/$ac_word" >&5
+ echo "$as_me:11714: found $ac_dir/$ac_word" >&5
break
fi
done
@@ -11594,10 +11722,10 @@ fi
OPENJADE=$ac_cv_path_OPENJADE
if test -n "$OPENJADE"; then
- echo "$as_me:11597: result: $OPENJADE" >&5
+ echo "$as_me:11725: result: $OPENJADE" >&5
echo "${ECHO_T}$OPENJADE" >&6
else
- echo "$as_me:11600: result: no" >&5
+ echo "$as_me:11728: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -11613,7 +11741,7 @@ for ac_prog in jadetex
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
-echo "$as_me:11616: checking for $ac_word" >&5
+echo "$as_me:11744: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_JADETEX+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11630,7 +11758,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_JADETEX="$ac_dir/$ac_word"
- echo "$as_me:11633: found $ac_dir/$ac_word" >&5
+ echo "$as_me:11761: found $ac_dir/$ac_word" >&5
break
fi
done
@@ -11641,10 +11769,10 @@ fi
JADETEX=$ac_cv_path_JADETEX
if test -n "$JADETEX"; then
- echo "$as_me:11644: result: $JADETEX" >&5
+ echo "$as_me:11772: result: $JADETEX" >&5
echo "${ECHO_T}$JADETEX" >&6
else
- echo "$as_me:11647: result: no" >&5
+ echo "$as_me:11775: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -11656,7 +11784,7 @@ for ac_prog in pdfjadetex
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
-echo "$as_me:11659: checking for $ac_word" >&5
+echo "$as_me:11787: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_PDFJADETEX+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11673,7 +11801,7 @@ for ac_dir in $ac_dummy; do
test -z "$ac_dir" && ac_dir=.
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_PDFJADETEX="$ac_dir/$ac_word"
- echo "$as_me:11676: found $ac_dir/$ac_word" >&5
+ echo "$as_me:11804: found $ac_dir/$ac_word" >&5
break
fi
done
@@ -11684,10 +11812,10 @@ fi
PDFJADETEX=$ac_cv_path_PDFJADETEX
if test -n "$PDFJADETEX"; then
- echo "$as_me:11687: result: $PDFJADETEX" >&5
+ echo "$as_me:11815: result: $PDFJADETEX" >&5
echo "${ECHO_T}$PDFJADETEX" >&6
else
- echo "$as_me:11690: result: no" >&5
+ echo "$as_me:11818: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -11709,7 +11837,7 @@ test -n "$PDFJADETEX" || PDFJADETEX="pdfjadetex"
#
SGMLCATALOG=""
-echo "$as_me:11712: checking for catalog" >&5
+echo "$as_me:11840: checking for catalog" >&5
echo $ECHO_N "checking for catalog... $ECHO_C" >&6
for d in $sgmltrees
do
@@ -11717,14 +11845,14 @@ do
if test -f $f
then
SGMLCATALOG=$f
- echo "$as_me:11720: result: $f" >&5
+ echo "$as_me:11848: result: $f" >&5
echo "${ECHO_T}$f" >&6
break
fi
done
if test "X$SGMLCATALOG" = "X"
then
- echo "$as_me:11727: result: \"not found\"" >&5
+ echo "$as_me:11855: result: \"not found\"" >&5
echo "${ECHO_T}\"not found\"" >&6;
SGMLCATALOG=catalog
fi
@@ -11751,7 +11879,7 @@ do
done
HTMLSTYLE=""
-echo "$as_me:11754: checking for html/docbook.dsl" >&5
+echo "$as_me:11882: checking for html/docbook.dsl" >&5
echo $ECHO_N "checking for html/docbook.dsl... $ECHO_C" >&6
for d in $stylepath
do
@@ -11759,20 +11887,20 @@ do
if test -f $f
then
HTMLSTYLE=$f
- echo "$as_me:11762: result: $f" >&5
+ echo "$as_me:11890: result: $f" >&5
echo "${ECHO_T}$f" >&6
break
fi
done
if test "X$HTMLSTYLE" = "X"
then
- echo "$as_me:11769: result: \"not found\"" >&5
+ echo "$as_me:11897: result: \"not found\"" >&5
echo "${ECHO_T}\"not found\"" >&6;
HTMLSTYLE=html/docbook.dsl
fi
PRINTSTYLE=""
-echo "$as_me:11775: checking for print/docbook.dsl" >&5
+echo "$as_me:11903: checking for print/docbook.dsl" >&5
echo $ECHO_N "checking for print/docbook.dsl... $ECHO_C" >&6
for d in $stylepath
do
@@ -11780,14 +11908,14 @@ do
if test -f $f
then
PRINTSTYLE=$f
- echo "$as_me:11783: result: $f" >&5
+ echo "$as_me:11911: result: $f" >&5
echo "${ECHO_T}$f" >&6
break
fi
done
if test "X$PRINTSTYLE" = "X"
then
- echo "$as_me:11790: result: \"not found\"" >&5
+ echo "$as_me:11918: result: \"not found\"" >&5
echo "${ECHO_T}\"not found\"" >&6;
PRINTSTYLE=print/docbook.dsl
fi
@@ -11797,7 +11925,7 @@ fi
#
XMLDCL=""
-echo "$as_me:11800: checking for docbook/dsssl/modular/dtds/decls/xml.dcl" >&5
+echo "$as_me:11928: checking for docbook/dsssl/modular/dtds/decls/xml.dcl" >&5
echo $ECHO_N "checking for docbook/dsssl/modular/dtds/decls/xml.dcl... $ECHO_C" >&6
for d in $sgmltrees
do
@@ -11805,14 +11933,14 @@ do
if test -f $f
then
XMLDCL=$f
- echo "$as_me:11808: result: $f" >&5
+ echo "$as_me:11936: result: $f" >&5
echo "${ECHO_T}$f" >&6
break
fi
done
if test "X$XMLDCL" = "X"
then
- echo "$as_me:11815: result: \"not found\"" >&5
+ echo "$as_me:11943: result: \"not found\"" >&5
echo "${ECHO_T}\"not found\"" >&6;
XMLDCL=docbook/dsssl/modular/dtds/decls/xml.dcl
fi
@@ -11822,7 +11950,7 @@ fi
#
DOCBOOK2MANSPEC=""
-echo "$as_me:11825: checking for docbook2X/docbook2man-spec.pl" >&5
+echo "$as_me:11953: checking for docbook2X/docbook2man-spec.pl" >&5
echo $ECHO_N "checking for docbook2X/docbook2man-spec.pl... $ECHO_C" >&6
for d in $sgmltrees
do
@@ -11830,14 +11958,14 @@ do
if test -f $f
then
DOCBOOK2MANSPEC=$f
- echo "$as_me:11833: result: $f" >&5
+ echo "$as_me:11961: result: $f" >&5
echo "${ECHO_T}$f" >&6
break
fi
done
if test "X$DOCBOOK2MANSPEC" = "X"
then
- echo "$as_me:11840: result: \"not found\"" >&5
+ echo "$as_me:11968: result: \"not found\"" >&5
echo "${ECHO_T}\"not found\"" >&6;
DOCBOOK2MANSPEC=docbook2X/docbook2man-spec.pl
fi
@@ -11959,7 +12087,7 @@ DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:11962: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:12090: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -12132,7 +12260,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:12135: error: ambiguous option: $1
+ { { echo "$as_me:12263: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -12151,7 +12279,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:12154: error: unrecognized option: $1
+ -*) { { echo "$as_me:12282: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@@ -12265,7 +12393,7 @@ do
"docutil/docbook2man-wrapper.sh" ) CONFIG_FILES="$CONFIG_FILES docutil/docbook2man-wrapper.sh" ;;
"isc-config.sh" ) CONFIG_FILES="$CONFIG_FILES isc-config.sh" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
- *) { { echo "$as_me:12268: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:12396: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -12445,6 +12573,8 @@ s,@ISC_LWRES_GETIPNODEPROTO@,$ISC_LWRES_GETIPNODEPROTO,;t t
s,@ISC_LWRES_GETADDRINFOPROTO@,$ISC_LWRES_GETADDRINFOPROTO,;t t
s,@ISC_LWRES_GETNAMEINFOPROTO@,$ISC_LWRES_GETNAMEINFOPROTO,;t t
s,@ISC_PLATFORM_NEEDSTRSEP@,$ISC_PLATFORM_NEEDSTRSEP,;t t
+s,@ISC_PLATFORM_NEEDSTRLCPY@,$ISC_PLATFORM_NEEDSTRLCPY,;t t
+s,@ISC_PLATFORM_NEEDSTRLCAT@,$ISC_PLATFORM_NEEDSTRLCAT,;t t
s,@ISC_PLATFORM_NEEDVSNPRINTF@,$ISC_PLATFORM_NEEDVSNPRINTF,;t t
s,@ISC_EXTRA_OBJS@,$ISC_EXTRA_OBJS,;t t
s,@ISC_EXTRA_SRCS@,$ISC_EXTRA_SRCS,;t t
@@ -12596,7 +12726,7 @@ done; }
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:12599: creating $ac_file" >&5
+ { echo "$as_me:12729: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -12614,7 +12744,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:12617: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:12747: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -12627,7 +12757,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:12630: error: cannot find input file: $f" >&5
+ { { echo "$as_me:12760: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -12688,7 +12818,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
- test x"$ac_file" != x- && { echo "$as_me:12691: creating $ac_file" >&5
+ test x"$ac_file" != x- && { echo "$as_me:12821: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@@ -12699,7 +12829,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:12702: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:12832: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -12712,7 +12842,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:12715: error: cannot find input file: $f" >&5
+ { { echo "$as_me:12845: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -12829,7 +12959,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
- { echo "$as_me:12832: $ac_file is unchanged" >&5
+ { echo "$as_me:12962: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -12933,7 +13063,7 @@ if test "$no_recursion" != yes; then
# parts of a large source tree are present.
test -d $srcdir/$ac_subdir || continue
- { echo "$as_me:12936: configuring in $ac_subdir" >&5
+ { echo "$as_me:13066: configuring in $ac_subdir" >&5
echo "$as_me: configuring in $ac_subdir" >&6;}
case $srcdir in
.) ;;
@@ -12955,7 +13085,7 @@ done; }
if test -d ./$ac_subdir; then :;
else
- { { echo "$as_me:12958: error: cannot create \`pwd\`/$ac_subdir" >&5
+ { { echo "$as_me:13088: error: cannot create \`pwd\`/$ac_subdir" >&5
echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -12986,7 +13116,7 @@ echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
elif test -f $ac_sub_srcdir/configure.in; then
ac_sub_configure=$ac_configure
else
- { echo "$as_me:12989: WARNING: no configuration information is in $ac_subdir" >&5
+ { echo "$as_me:13119: WARNING: no configuration information is in $ac_subdir" >&5
echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
ac_sub_configure=
fi
@@ -13000,12 +13130,12 @@ echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
ac_sub_cache_file=$ac_dots$cache_file ;;
esac
- { echo "$as_me:13003: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
+ { echo "$as_me:13133: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&6;}
# The eval makes quoting arguments work.
eval $ac_sub_configure $ac_sub_configure_args \
--cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir ||
- { { echo "$as_me:13008: error: $ac_sub_configure failed for $ac_subdir" >&5
+ { { echo "$as_me:13138: error: $ac_sub_configure failed for $ac_subdir" >&5
echo "$as_me: error: $ac_sub_configure failed for $ac_subdir" >&2;}
{ (exit 1); exit 1; }; }
fi